Zonemaster::LDNS::RR::SIG(3pm)

NAME
Zonemaster::LDNS::RR::SIG - Type SIG record

DESCRIPTION
A subclass of Zonemaster::LDNS::RR, so it has all the methods of that class available in addition to the ones documented here.

METHODS

typecovered()
    Returns a string with the name of the RR type this signature covers.

algorithm()
    Returns the algorithm number.

labels()
    Returns the number of labels that was used to calculate the signature.

origttl()
    Returns the original TTL value.

expiration()
    Returns the expiration time, as a time_t.

inception()
    Returns the inception time, as a time_t.

keytag()
    Returns the keytag.

signer()
    Returns the signer name.

signature()
    Returns the cryptographic signture in binary form.